import 'package:objectbox/objectbox.dart';

@Entity()
class CapturePoint {
  CapturePoint({
    required this.type,
    required this.uuid,
    required this.rotationX,
    required this.rotationY,
    required this.rotationZ,
    required this.accelerationX,
    required this.accelerationY,
    required this.accelerationZ,
    required this.millisecondsSinceEpochReceived,
    required this.millisecondsSinceEpochSend,
  });
  @Id()
  int id = 0;

  String type;
  String uuid;

  int rotationX;
  int rotationY;
  int rotationZ;
  int accelerationX;
  int accelerationY;
  int accelerationZ;

  int millisecondsSinceEpochReceived;
  int millisecondsSinceEpochSend;
}
